<?php

namespace AutoAdmin\Bundle\Content\Entity;

use AutoAdmin\Bundle\Media\Model\AbstractImage;
use Doctrine\ORM\Mapping as ORM;

/**
 * Class Logo
 * @package AutoAdmin\Bundle\Content\Entity
 */
#[ORM\Entity]
class Logo extends AbstractImage
{
    #[ORM\OneToOne(targetEntity: Site::class)]
    protected ?Site $site = null;

    public function getSite(): ?Site
    {
        return $this->site;
    }

    public function setSite(?Site $site): void
    {
        $this->site = $site;
    }

    public function __toString(): string
    {
        return $this->getFilename();
    }
}
